Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.tdk.signaturetest
Class Setup

    java.lang.Object
      com.sun.tdk.signaturetest.Result
          com.sun.tdk.signaturetest.SigTest
              com.sun.tdk.signaturetest.Setup

All Implemented Interfaces:
  Log, PluginAPI

    public class Setup

extends SigTest

This class creates signature file. The classes in the signature file are grouped by type, and alphabetized by class name.
The following signature files could be created:

Usage: java com.sun.tdk.signaturetest.setup.Setup <options>

where <options> includes:

`-TestURL` <URL>
  URL of signature file.

`-FileName` <n>
  Path name of signature file name.

`-Package` <package name>
  Package which are needed to be tracked (several options can be specified).

`-PackageWithoutSubpackages` <package>
  Name of the package, which is to be tracked itself excluding its subpackages. Such option should be included for each package required to be tracked excluding subpackages.

`-Exclude` <package or class name>
  package or class which is not needed to be tracked.(several options can be specified)

`-static`
  Track in the static mode. In this mode test uses class file parsing instead of the reflection for. The path specified by -Classpath options is required in this mode.

`-CheckValue`
  Writes values of the primitive constants in signature file. This options could be used in the static mode only.

`-AllPublic`
  track unaccessible nested classes (I.e. which are public or protected but are members of default or private access class).

`-Classpath` <path>
  specify the path, which includes tracked classes.

`-Version` <version>
  Specify API version. If this parameter is not specified, API version is assumed to be that reported by `getProperty("java.version")`.

`-Verbose`
  Print names of ignored classes.

Nested Class Summary

Nested classes/interfaces inherited from interface com.sun.tdk.signaturetest.plugin.PluginAPI
`PluginAPI.InjectionPoint`

Field Summary
`static java.lang.String` | `CHECKVALUE_OPTION`
`static java.lang.String` | `CLOSEDFILE_OPTION`
`static java.lang.String` | `COPYRIGHT_OPTION`
`protected boolean` | `isClosedFile`
`protected boolean` | `isIgnorableReported` specifies that ignored class names will be reported.
`static java.lang.String` | `KEEP_SIGFILE_OPTION`
`static java.lang.String` | `NONCLOSEDFILE_OPTION`
`protected java.net.URL` | `signatureFile` contains signature file.
`static java.lang.String` | `XGENCONSTS_OPTION`
`static java.lang.String` | `XREFLECTION_OPTION`

Fields inherited from class com.sun.tdk.signaturetest.SigTest
`ALLPUBLIC_OPTION, apiVersion, APIVERSION_OPTION, BACKWARD_ALT_OPTION, BACKWARD_OPTION, cacheSize, CLASSCACHESIZE_OPTION, classpath, CLASSPATH_OPTION, classpathStr, debug, DEBUG_OPTION, DefaultCacheSize, ERRORALL_OPTION, errorManager, errorMessages, errors, EXCLUDE_OPTION, excludedPackages, EXTENSIBLE_INTERFACES_OPTION, FILENAME_OPTION, FORMATHUMAN_ALT_OPTION, FORMATHUMAN_OPTION, FORMATPLAIN_OPTION, HELP_OPTION, isConstantValuesTracked, isStatic, isTigerFeaturesTracked, normalizer, OUT_OPTION, PACKAGE_OPTION, packages, PLUGIN_OPTION, pluginClass, purePackages, QUESTIONMARK, reportWarningAsError, sigFileName, sigFileNameList, STATIC_OPTION, testableHierarchy, testableMCBuilder, testURL, TESTURL_OPTION, trackMode, VERBOSE_OPTION, VERSION_OPTION, WITHOUTSUBPACKAGES_OPTION, XNOTIGER_OPTION, XVERBOSE_OPTION`

Fields inherited from class com.sun.tdk.signaturetest.Result
`NO_EXIT`

Fields inherited from interface com.sun.tdk.signaturetest.plugin.PluginAPI
`AFTER_BUILD_MEMBERS, AFTER_CLASS_CORRECTOR, BEFORE_TEST, CLASS_CORRECTOR, IS_CLASS_ACCESSIBLE, ON_CLASS_LOAD`

Constructor Summary
`Setup()`

Method Summary
`void` | `decodeOptions(java.lang.String optionName, java.lang.String[] args)`
`protected java.lang.String` | `getComponentName()`
`protected void` | `ignore(java.lang.String message)` ignore class with given message.
`static void` | `main(java.lang.String[] args)` runs test in from command line.
`protected boolean` | `parseParameters(java.lang.String[] args)` parses parameters and initialize fields as specified by arguments
`void` | `run(java.lang.String[] args, java.io.PrintWriter pw, java.io.PrintWriter ref)` runs test with the given arguments.
`protected void` | `usage()` Prints help text.

Methods inherited from class com.sun.tdk.signaturetest.SigTest
`addFormat, addInherited, decodeCommonOptions, getClassDescrLoader, getContext, getFileManager, getFilter, getLog, getNumErrors, getNumWarnings, getTransformer, initErrors, isPackageMember, load, loadPlugin, normalizeArrayParaemeters, printErrors, removeUndocumentedAnnotations, setClassDescrLoader, setFilter, setFormat, setLog, setTransformer, setupProblem, storeError, storeWarning, useErasurator`

Methods inherited from class com.sun.tdk.signaturetest.Result
`error, exit, failed, getReason, isPassed, notrun, passed, passed, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### CLOSEDFILE_OPTION

    public static final java.lang.String CLOSEDFILE_OPTION

See Also:
  Constant Field Values

### NONCLOSEDFILE_OPTION

    public static final java.lang.String NONCLOSEDFILE_OPTION

See Also:
  Constant Field Values

### CHECKVALUE_OPTION

    public static final java.lang.String CHECKVALUE_OPTION

See Also:
  Constant Field Values

### XGENCONSTS_OPTION

    public static final java.lang.String XGENCONSTS_OPTION

See Also:
  Constant Field Values

### COPYRIGHT_OPTION

    public static final java.lang.String COPYRIGHT_OPTION

See Also:
  Constant Field Values

### KEEP_SIGFILE_OPTION

    public static final java.lang.String KEEP_SIGFILE_OPTION

See Also:
  Constant Field Values

### XREFLECTION_OPTION

    public static final java.lang.String XREFLECTION_OPTION

See Also:
  Constant Field Values

### signatureFile

    protected java.net.URL signatureFile

  contains signature file.

### isClosedFile

    protected boolean isClosedFile

### isIgnorableReported

    protected boolean isIgnorableReported

  specifies that ignored class names will be reported.

Constructor Detail

### Setup

    public Setup()

Method Detail

### main

    public static void main(java.lang.String[] args)

  runs test in from command line.

### run

    public void run(java.lang.String[] args,
                    java.io.PrintWriter pw,
                    java.io.PrintWriter ref)

  runs test with the given arguments.

### parseParameters

    protected boolean parseParameters(java.lang.String[] args)

  parses parameters and initialize fields as specified by arguments

  Parameters:
    `args` - contains arguments required to be parsed.

### decodeOptions

    public void decodeOptions(java.lang.String optionName,
                              java.lang.String[] args)
                       throws CommandLineParserException

  Throws:
    `CommandLineParserException`

### usage

    protected void usage()

  Prints help text.

  Specified by:
    `usage` in class `SigTest`

### getComponentName

    protected java.lang.String getComponentName()

  Specified by:
    `getComponentName` in class `SigTest`

### ignore

    protected void ignore(java.lang.String message)

  ignore class with given message.

  Parameters:
    `message` - given message.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD